Browse the organization's media library
GET /api/assets. Browse the organization's media library. Headless LMS Assets API reference.
Query Parameters
page?integer
Range
1 <= value <= 9007199254740991Default
1pageSize?integer
Range
1 <= value <= 100Default
20search?string
sort?string
kind?string
Value in
- "video"
- "download"
- "content"
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/assets"{ "rows": [ { "orgId": "string", "id": "string", "key": "string", "kind": "video", "filename": "string", "contentType": "string", "size": 0, "status": "pending", "uploadedBy": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "total": -9007199254740991, "page": -9007199254740991, "pageSize": -9007199254740991}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}